<!doctype html>
<html>
  <body>
  <h2>Les menus</h2>
  <p>Il existe différents types de menu <i>Android</i>, certains sont apparus au
    cours des diverses évolutions des versions d’<i>Android</i>.</p>

 <h3>Le menu d'option</h3>
  <p>Le <i>OptionsMenu</i> est un menu dédié à un écran, auparavant, il apparaîssait
  lorsque la touche menu du téléphone était pressée. À présent, il correspond au
  menu situé dans la barre de l'application, en haut, à gauche. En principe,
  ce menu doit être différent pour chaque écran de l'application.<br>
  Historiquement, cette association avec la touche menu n’est utilisée que dans la
  version 2.3, il a été placé dans la barre de l'application, depuis la version 3.</p>
  <p>De manière générale, les éléments d'un menu sont  déclarés dans un fichier
  XML spécifique. Ce dernier est placé dans le dossier <code>menu/</code> du
  dossiers des ressources.<br>
  Pour le créer et l'associer à une <code>Activity</code>, il suffit d'implémenter
  la méthode <code>onCreateOptionsMenu()</code> de l'<code>Activity</code> concernée.</p>

<h3>La barre de l'application</h3>
  <p>La barre de l'application est d'abord nommée <i>ActionBar</i>, dans la version 3.0,
  <i>HoneyComb</i>. Ensuite, elle a été remplacé par la <i>Toolbar</i> dans
  la version 5, <i>Marshmallow</i>.<br>
  La barre de l'application contient le menu d'option et l'accès au menu latéral.</p>

  <h3>Le menu latéral</h3>
  <p>Le <i>NavigationDrawer</i> ou <i>NavigationView</i> est, de manière générale,
  un menu commun à l’ensemble des écrans de l’application.<br>
  Ce menu latéral, dit menu « hamburger », est placé sur le côté droit.</p>

<h3>Le menu contextuel</h3>
  <p>Le <i>ContextMenu</i> est un menu relatif à un élément d’un écran, il peut
  apparaître lorsque l’utilisateur laisse son doigt appuyé longtemps sur cet élément.<br>
  La structure de ces menus a la même hiérarchie qu’une View (structure d’arbre).
  Pour les créer il s'agit d'implémenter la méthode <code>onCreateContextMenu()</code>
  d’une <code>Activity</code>.</p>

  <h3>Le menu de pied d'écran</h3>
    <p>Les composants <i>BottomAppBar</i> et <i>BottomNavigationView</i> sont des menus
    situés en bas de l'application.<br>
    Dans cet écran, il est implémenté <i>BottomAppBar</i>, il contient un menu d'option
  renvoyant vers les parties :<br>
  -> Les agencements<br>
  -> La gestion des ressources<br>
  -> Les menus<br>
  Il contient aussi un menu latéral comportant les principaux éléments,
  plus précisément les principaux composants graphiques natifs <i>Android</i>.</p>

  </body>
</html>
